---
- name: Manage user rights
  ansible.windows.win_user_right:
    name: "{{ item['name'] }}"
    users: "{{ item['users'] }}"
    action: "{{ item['action'] | default(omit) }}"
  with_items: "{{ win_resource_item | c2platform.core.resources }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
  loop_control:
    label: "{{ item['name'] }} {{ item['action'] | default('set') }}"
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_user_right
